Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359086 - Rebase libguestfs in RHEL 7.4
Summary: Rebase libguestfs in RHEL 7.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: 7.4
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
Jiri Herrmann
URL:
Whiteboard:
Depends On:
Blocks: 1141631 1155150 1161019 1164765 1167623 1233093 1237250 1255610 1311890 1354507 1357427 1362649 1367738 1372668 1374232 1374405 1374651 1375157 1377081 1378022 1379240 1379289 1382275 1383517 1390876 1392798 1398070 1400205 1401474 1402301 1404182 1404287 1418283 1425306 1429491 1429506 1430184 1430680 1433937
TreeView+ depends on / blocked
 
Reported: 2016-07-22 09:17 UTC by Richard W.M. Jones
Modified: 2017-08-01 22:08 UTC (History)
8 users (show)

Fixed In Version: libguestfs-1.36.3-1.el7
Doc Type: Release Note
Doc Text:
_libguestfs_ rebased to version 1.36.3 The _libguestfs_ packages have been upgraded to upstream version 1.36.3, which provides a number of bug fixes and enhancements over the previous version. Notable changes include: * This update adds the *virt-tail* utility, which can be used to follow (tail) log files within a guest, similar to the "tail -f" command. For details, see the virt-tail(1) man page. * The *virt-v2v* utility supports more operating systems and more input sources. In addition, the conversion of Windows guests has been substantially rewritten and simplified. * Multiple options have been added for the *virt-customize*, *virt-builder*, and *virt-systprep* utilities.
Clone Of:
Environment:
Last Closed: 2017-08-01 22:08:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2023 normal SHIPPED_LIVE libguestfs bug fix and enhancement update 2017-08-01 19:32:01 UTC

Description Richard W.M. Jones 2016-07-22 09:17:21 UTC
Description of problem:

libguestfs in RHEL 7.3 (which was also rebased, bug 1218766) is
carrying 151 patches, and that will probably grow a bit.

libguestfs upstream maintains a very strong commitment to backwards
compatibility.  We have never broken the C API, and (apart from
one notorious occasion with virt-inspector that happened a long
time ago) never break backwards compat for command line tools either.

Therefore it makes sense to rebase libguestfs in RHEL 7.3.

The particular aspect which concerns me are the large changes to
virt-v2v Windows Registry handling made upstream in libguestfs 1.34.
These will need thorough testing to ensure nothing regresses.

Version-Release number of selected component (if applicable):

Hard to predict exactly, but perhaps 1.34 or 1.36.

Comment 2 Richard W.M. Jones 2016-07-22 09:19:33 UTC
I will make a yum repository of the packages available here:

https://people.redhat.com/~rjones/libguestfs-RHEL-7.4-preview/

The upstream 'rhel-7.4' branch contains the exploded patches:

https://github.com/libguestfs/libguestfs/commits/rhel-7.4

Comment 4 Richard W.M. Jones 2016-11-03 14:55:01 UTC
The yum repository is now available:

  https://people.redhat.com/~rjones/libguestfs-RHEL-7.4-preview/

There is further information in the following message:

  https://www.redhat.com/archives/libguestfs/2016-November/msg00030.html

Comment 6 tingting zheng 2017-06-09 06:27:03 UTC
For virt-v2v,all bugs have been verified and acceptance/functional testing have been finished without critical bugs.

Comment 8 errata-xmlrpc 2017-08-01 22:08:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2023


Note You need to log in before you can comment on or make changes to this bug.